﻿using System.Windows;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.Drawing;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Wpf;

namespace _8670
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void map_Loaded(object sender, RoutedEventArgs e)
        {
            map.MapUnit = GeographyUnit.DecimalDegree;           

            PersonalGeoDatabaseFeatureLayer personalGeoDatabaseFeatureLayer = new PersonalGeoDatabaseFeatureLayer(@"..\..\AppData\Portsmouth_2000.mdb", null, null, "SLSCover");
            personalGeoDatabaseFeatureLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.Country1;
            personalGeoDatabaseFeatureLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            LayerOverlay worldOverlay = new LayerOverlay();            
            worldOverlay.Layers.Add("WorldLayer", personalGeoDatabaseFeatureLayer);

            personalGeoDatabaseFeatureLayer.Open();
            map.CurrentExtent = personalGeoDatabaseFeatureLayer.GetBoundingBox();
            map.Overlays.Add("WorldOverlay", worldOverlay);

            map.Refresh();
        }
    }
}
